$(document).ready(function() {
	// Event
	$("button").toggle(function() {
		$("#moveable").queue("fx",[newQueue]);
	}, function() {
		$("#moveable").queue("fx",[moveRectangle]);
	});
	$("button#reset").click(function() {
		$("#moveable").stop(true).css({left:'10px',top:'100px'});
		moveRectangle();
	});
	// Erste Funktion, die eine Warteschlange erzeugt
	function moveRectangle() {
		$("#moveable").fadeIn("slow")
			.animate({left:'+=200'},2000)
			.animate({opacity:0.5},1000)
			.animate({opacity:1},1000)
			.animate({left:'+=-200'},2000)
			.fadeOut("slow", moveRectangle);
		message();
	}
	moveRectangle();
	// Zweite Funktion, die eine Warteschlange erzeugt
	function newQueue() {
		$("#moveable").fadeIn("slow")
			.animate({top:'+=200'},2000)
			.animate({top:'+=-200'},2000)
			.fadeOut("slow",newQueue);
		message();
	}
	// Hilfsfunktion zur Anzeige der Meldung
	function message() {
		var queueLength = $("#moveable").queue("fx").length;
		$("span").text("Es befinden sich " + queueLength);
		$("span").append(" Funktionen in der Queue");
	}
});	